Get a rank snapshot
GET
One measured rank snapshot. An id from another project, keyword, or organization answers 404. Requires the read scope.
BearerAuth readheader
AuthorizationBearer <token>An instance admin key from ADMIN_API_KEYS, or an organization key (elmo_…) issued from the dashboard.
Scope: read
researchProjectId*stringFormat
uuidresearchKeywordId*stringFormat
uuidsnapshotId*stringFormat
uuidA rank snapshot
application/json- response
id*stringFormat
uuidresearchProjectId*stringFormat
uuidresearchKeywordId*stringFormat
uuidkeyword*stringtargetDomain*stringlocationCode*integerlanguageCode*stringdevice*stringValue in
"desktop""mobile"position*integer|nullurl*string|nullresults*array<unknown>outcome*stringValue in
"ranked""not_in_top_n""no_results""provider_failed""not_checked"partial*booleanprovider*string|nullcheckedAt*stringFormat
date-timecurl -X GET 'https://app.aeonav.fivecoder.com/api/v1/research/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/keywords/497f6eca-6276-4993-bfeb-53cbbbba6f08/rank-snapshots/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"researchProjectId": "1c0d094f-324a-4644-8fb4-5a5c02f86ba0",
"researchKeywordId": "dd7cb75e-c45d-4db5-8a94-018136516c7b",
"keyword": "string",
"targetDomain": "string",
"locationCode": 0,
"languageCode": "string",
"device": "desktop",
"position": 0,
"url": "string",
"results": [
null
],
"outcome": "ranked",
"partial": true,
"provider": "string",
"checkedAt": "2019-08-24T14:15:22Z"
}